Subject: Re: Would it make sense to add a commit.signOff config?

From: "brian m. carlson" <[email-masked]>
Date: Mon, 15 Dec 2025 01:22:03 +0000

On 2025-12-14 at 23:44:47, Junio C Hamano wrote:
> Thanks for a spelunking starter.
> 
> Perhaps we should resurrect a proposed patch from 2020 (which no
> longer apply cleanly, but quoted to show what the additinoal text
> said).
> 
> https://lore.kernel.org/git/[email-masked]/
> 
> to save time from potential contributors?  I do not want to see new
> contributors feeling they wasted their time after putting their
> effort.

I think this would be a fine approach or we could add an entry in the
Git FAQ (or both).  I agree that this is something that comes up
frequently and writing it down in a more visible way would be kinder to
users and mailing list participants.

> diff --git a/Documentation/git-commit.txt b/Documentation/git-commit.txt
> index ced5a9beab..1909551087 100644
> --- a/Documentation/git-commit.txt
> +++ b/Documentation/git-commit.txt
> @@ -171,6 +171,13 @@ The `-m` option is mutually exclusive with `-c`, `-C`, and `-F`.
>  	the rights to submit this work under the same license and
>  	agrees to a Developer Certificate of Origin
>  	(see http://developercertificate.org/ for more information).
> ++
> +As it makes it harder to argue against one who tells the court "that
> +log message ends with a SoB by person X but it is very plausible
> +that it was done by inertia without person X really intending to
> +certify what DCO says, and the SoB is meaningless." to more

I think the period should be replaced here by a comma since the
quotation is part of a larger sentence.

> +publicized ways to add SoB automatically, Git does not (and will not)
> +have a configuration variable to enable it by default.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA